osg::FrameStamp Class Reference

`#include <FrameStamp>`

Inheritance diagram for osg::FrameStamp:

## Public Member Functions

| FrameStamp ()
| FrameStamp (const FrameStamp &fs)
FrameStamp & | operator= (const FrameStamp &fs)
void | setFrameNumber (unsigned int fnum)
unsigned int | getFrameNumber () const
void | setReferenceTime (double refTime)
double | getReferenceTime () const
void | setSimulationTime (double refTime)
double | getSimulationTime () const
void | setCalendarTime (const tm &calendarTime)
void | getCalendarTime (tm &calendarTime) const
virtual | ~FrameStamp ()
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Attributes

unsigned int | _frameNumber
double | _referenceTime
double | _simulationTime
int | tm_sec
int | tm_min
int | tm_hour
int | tm_mday
int | tm_mon
int | tm_year
int | tm_wday
int | tm_yday
int | tm_isdst
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Detailed Description

Class which encapsulates the frame number, reference time and calendar time of specific frame, used to synchronize operations on the scene graph and other machines when using a graphics cluster. Note the calendar time can be an artificial simulation time or capture the real time of day etc.

## Constructor & Destructor Documentation

## FrameStamp() [1/2]

osg::FrameStamp::FrameStamp | ( |  | ) |

Referenced by FrameStamp(), and operator=().

## FrameStamp() [2/2]

osg::FrameStamp::FrameStamp | ( | const FrameStamp & | fs | ) |

References FrameStamp().

## ~FrameStamp()

virtual osg::FrameStamp::~FrameStamp | ( |  | ) |

virtual

## Member Function Documentation

## getCalendarTime()

void osg::FrameStamp::getCalendarTime | ( | tm & | calendarTime | ) | const

## getFrameNumber()

unsigned int osg::FrameStamp::getFrameNumber | ( |  | ) | const

inline

References _frameNumber.

## getReferenceTime()

double osg::FrameStamp::getReferenceTime | ( |  | ) | const

inline

References _referenceTime.

## getSimulationTime()

double osg::FrameStamp::getSimulationTime | ( |  | ) | const

inline

References _simulationTime.

## operator=()

FrameStamp & osg::FrameStamp::operator= | ( | const FrameStamp & | fs | ) |

References FrameStamp().

## setCalendarTime()

void osg::FrameStamp::setCalendarTime | ( | const tm & | calendarTime | ) |

## setFrameNumber()

void osg::FrameStamp::setFrameNumber | ( | unsigned int | fnum | ) |

inline

References _frameNumber.

## setReferenceTime()

void osg::FrameStamp::setReferenceTime | ( | double | refTime | ) |

inline

References _referenceTime.

## setSimulationTime()

void osg::FrameStamp::setSimulationTime | ( | double | refTime | ) |

inline

References _simulationTime.

## Member Data Documentation

## _frameNumber

unsigned int osg::FrameStamp::_frameNumber

protected

Referenced by getFrameNumber(), and setFrameNumber().

## _referenceTime

double osg::FrameStamp::_referenceTime

protected

Referenced by getReferenceTime(), and setReferenceTime().

## _simulationTime

double osg::FrameStamp::_simulationTime

protected

Referenced by getSimulationTime(), and setSimulationTime().

## tm_hour

int osg::FrameStamp::tm_hour

protected

## tm_isdst

int osg::FrameStamp::tm_isdst

protected

## tm_mday

int osg::FrameStamp::tm_mday

protected

## tm_min

int osg::FrameStamp::tm_min

protected

## tm_mon

int osg::FrameStamp::tm_mon

protected

## tm_sec

int osg::FrameStamp::tm_sec

protected

## tm_wday

int osg::FrameStamp::tm_wday

protected

## tm_yday

int osg::FrameStamp::tm_yday

protected

## tm_year

int osg::FrameStamp::tm_year

protected

The documentation for this class was generated from the following file:

- FrameStamp